PostgreSQL 8.1.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# LOAD

## Name

LOAD -- load or reload a shared library file

## Synopsis

    LOAD 'filename'

## Description

This command loads a shared library file into the PostgreSQL server's address space. If the file had been loaded previously, it is first unloaded. This command is primarily useful to unload and reload a shared library file that has been changed since the server first loaded it. To make use of the shared library, function(s) in it need to be declared using the CREATE FUNCTION command.

The file name is specified in the same way as for shared library names in CREATE FUNCTION; in particular, one may rely on a search path and automatic addition of the system's standard shared library file name extension. See Section 32.9 for more information on this topic.

## Compatibility

`LOAD` is a PostgreSQL extension.

## See Also

CREATE FUNCTION

Prev | Home | Next
LISTEN | Up | LOCK